<?php
$restriction=new_restriction($restriction,'text_max_50','string',1,50,0,0,'');
$restriction=new_restriction($restriction,'text_max_150','string',0,150,0,0,'');
$restriction=new_restriction($restriction,'text_max_1000','string',0,1000,0,0,'');
$restriction=new_restriction($restriction,'int_1024','numeric',0,0,0,1024,'');
$restriction=new_restriction($restriction,'int_65353','numeric',0,0,0,65353,'');
$restriction=new_restriction($restriction,'int_20','numeric',0,0,1,20,'');
$enumeration =new_enumeration($enumeration,0,$lang['str_no']);
$enumeration =new_enumeration($enumeration,1,$lang['str_yes']);
$restriction=new_restriction($restriction,'yes_no','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$enumeration =new_enumeration($enumeration,0,$lang['str_no_1']);
$enumeration =new_enumeration($enumeration,1,$lang['str_yes_1']);
$restriction=new_restriction($restriction,'yes_no_1','numeric',0,0,0,0,'',$enumeration);

unset($enumeration);
$enumeration =new_enumeration($enumeration,0,$lang['str_no_2']);
$enumeration =new_enumeration($enumeration,1,$lang['str_yes_2']);
$enumeration =new_enumeration($enumeration,2,str_replace('{boardseting46}',$setting[46],$lang['str_limit_2']));
$restriction=new_restriction($restriction,'yes_no_2','numeric',0,0,0,0,'',$enumeration);

unset($enumeration);
$enumeration =new_enumeration($enumeration,0,$lang['board_setting_1']);
$enumeration =new_enumeration($enumeration,1,$lang['board_setting_2']);
$enumeration =new_enumeration($enumeration,2,$lang['board_setting_3']);
$restriction=new_restriction($restriction,'setting_1','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$enumeration =new_enumeration($enumeration,0,$lang['post_setting_1']);
$enumeration =new_enumeration($enumeration,1,$lang['post_setting_2']);
$enumeration =new_enumeration($enumeration,2,$lang['post_setting_3']);
$restriction=new_restriction($restriction,'post_setting','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$enumeration =new_enumeration($enumeration,1,$lang['list_setting_1_1']);
$enumeration =new_enumeration($enumeration,2,$lang['list_setting_1_2']);
$enumeration =new_enumeration($enumeration,3,$lang['list_setting_1_3']);
$enumeration =new_enumeration($enumeration,4,$lang['list_setting_1_4']);
$enumeration =new_enumeration($enumeration,5,$lang['list_setting_1_5']);
$enumeration =new_enumeration($enumeration,6,$lang['list_setting_1_6']);
$enumeration =new_enumeration($enumeration,7,$lang['list_setting_1_7']);
$restriction=new_restriction($restriction,'list_setting_1','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$enumeration =new_enumeration($enumeration,0,$lang['list_setting_2_1']);
$enumeration =new_enumeration($enumeration,1,$lang['list_setting_2_2']);
$restriction=new_restriction($restriction,'list_setting_2','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$enumeration =new_enumeration($enumeration,0,$lang['list_setting_3_1']);
$enumeration =new_enumeration($enumeration,10,$lang['list_setting_3_2']);
$enumeration =new_enumeration($enumeration,30,$lang['list_setting_3_3']);
$enumeration =new_enumeration($enumeration,60,$lang['list_setting_3_4']);
$enumeration =new_enumeration($enumeration,360,$lang['list_setting_3_5']);
$enumeration =new_enumeration($enumeration,720,$lang['list_setting_3_6']);
$enumeration =new_enumeration($enumeration,1440,$lang['list_setting_3_7']);
$enumeration =new_enumeration($enumeration,2880,$lang['list_setting_3_8']);
$restriction=new_restriction($restriction,'list_setting_3','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$enumeration =new_enumeration($enumeration,0,$lang['topic_seting_1_1']);
$enumeration =new_enumeration($enumeration,1,$lang['topic_seting_1_2']);
$enumeration =new_enumeration($enumeration,2,$lang['topic_seting_1_3']);
$enumeration =new_enumeration($enumeration,3,$lang['topic_seting_1_4']);
$restriction=new_restriction($restriction,'topic_seting_1','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$enumeration =new_enumeration($enumeration,0,$lang['rules_setting_1']);
$enumeration =new_enumeration($enumeration,1,$lang['rules_setting_2']);
$restriction=new_restriction($restriction,'rules_setting','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$enumeration =new_enumeration($enumeration,0,$lang['topic_general_1_1']);
$enumeration =new_enumeration($enumeration,1,$lang['topic_general_1_2']);
$restriction=new_restriction($restriction,'topic_general_1','numeric',0,0,0,0,'',$enumeration);
unset($enumeration);
$form=Array('items','name'=>'dv_setting','action'=>$action,'method'=>'post','attribute_str'=>'');
$form['items'] = new_form_item(
$form['items']
,'text'
,'type'
,$type
,'text_max_50'
,$lang['item_type_1']
,$lang['item_description_1']
,'width:250px;margin-left:5px;margin-top:1px;'
,''
,''
,$form_tit1
);
$form['items'] = new_form_item(
$form['items']
,'textarea'
,'description'
,$description
,'text_max_1000'
,$lang['item_type_2']
,$lang['item_description_2']
,'margin-left:10px;width:90%;height:50px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(0)'
,$setting[0]
,'text_max_150'
,$lang['item_type_3']
,$lang['item_description_3']
,'width:250px;margin-left:5px;margin-top:1px;'
,'setting1'
,''
,$lang['page_tit_1']
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(1)'
,$setting[1]
,'text_max_150'
,$lang['item_type_4']
,$lang['item_description_4']
,'width:250px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(2)'
,$setting[2]
,'yes_no'
,$lang['item_type_5']
,$lang['item_description_5']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(3)'
,$setting[3]
,'yes_no'
,$lang['item_type_6']
,$lang['item_description_6']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(4)'
,$setting[4]
,'int_65353'
,$lang['item_type_7']
,$lang['item_description_7']
,'width:50px;margin-left:5px;margin-top:1px;'
,'setting2'
,''
,$lang['page_tit_2']
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(5)'
,$setting[5]
,'setting_1'
,$lang['item_type_8']
,$lang['item_description_8']
,'margin:3px;'
,''
,''
,''
);
for($i=6 ;$i< 30 ;$i++){
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting('.$i.')'
,$setting[$i]
,'yes_no_1'
,($i-6).' '.$lang['str_house']
,''
,'margin:3px;'
,''
,''
,''
);
}
for($i=9 ;$i< 18 ;$i++){
	$form['items'] = new_form_item(
	$form['items']
	,'text'
	,'setting('.($i+21).')'
	,$setting[$i+21]
	,'int_65353'
	,$lang['item_type_'.$i]
	,$lang['item_description_'.$i]
	,'width:50px;margin-left:5px;margin-top:1px;'
	,''
	,''
	,''
	);
}
$form['items'] = new_form_item(
$form['items']
,'text'
	,'setting(39)'
	,$setting[39]
	,'int_65353'
	,$lang['item_type_18']
	,$lang['item_description_18']
	,'width:50px;margin-left:5px;margin-top:1px;'
,'setting3'
,''
,$lang['page_tit_3']
);
for($i=19 ;$i< 22 ;$i++){
	$form['items'] = new_form_item(
	$form['items']
	,'text'
	,'setting('.($i+21).')'
	,$setting[$i+21]
	,'int_65353'
	,$lang['item_type_'.$i]
	,$lang['item_description_'.$i]
	,'width:50px;margin-left:5px;margin-top:1px;'
	,''
	,''
	,''
	);
}
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(43)'
,$setting[43]
,'yes_no'
,$lang['item_type_22']
,$lang['item_description_22']
,'margin:3px;'
,'setting4'
,''
,$lang['page_tit_4']
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(44)'
,$setting[44]
,'yes_no'
,$lang['item_type_23']
,$lang['item_description_23']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(45)'
,$setting[45]
,'yes_no'
,$lang['item_type_24']
,$lang['item_description_24']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(95)'
,$setting[95]
,'text_max_1000'
,$lang['item_type_74']
,$lang['item_description_74']
,'width:250px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);


$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(46)'
,($setting[46]>2?2:$setting[46])
,'yes_no_2'
,$lang['item_type_25']
,$lang['item_description_25']
,'margin:3px;'
,'setting5'
,''
,$lang['page_tit_5']
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(47)'
,$setting[47]
,'int_65353'
,$lang['item_type_26']
,$lang['item_description_26']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(48)'
,$setting[48]
,'post_setting'
,$lang['item_type_27']
,$lang['item_description_27']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(49)'
,$setting[49]
,'int_65353'
,$lang['item_type_28']
,$lang['item_description_28']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(94)'
,$setting[94]
,'int_1024'
,$lang['item_type_73']
,$lang['item_description_73']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(50)'
,$setting[50]
,'yes_no'
,$lang['item_type_29']
,$lang['item_description_29']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(51)'
,$setting[51]
,'text_max_1000'
,$lang['item_type_30']
,$lang['item_description_30']
,'width:250px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(52)'
,$setting[52]
,'yes_no'
,$lang['item_type_31']
,$lang['item_description_31']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(53)'
,$setting[53]
,'int_1024'
,$lang['item_type_32']
,$lang['item_description_32']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(54)'
,$setting[54]
,'int_1024'
,$lang['item_type_33']
,$lang['item_description_33']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(55)'
,$setting[55]
,'int_1024'
,$lang['item_type_34']
,$lang['item_description_34']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(56)'
,$setting[56]
,'yes_no'
,$lang['item_type_35']
,$lang['item_description_35']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(57)'
,$setting[57]
,'yes_no'
,$lang['item_type_36']
,$lang['item_description_36']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(58)'
,$setting[58]
,'yes_no'
,$lang['item_type_37']
,$lang['item_description_37']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(59)'
,$setting[59]
,'int_1024'
,$lang['item_type_38']
,$lang['item_description_38']
,'width:50px;margin-left:5px;margin-top:1px;'
,'setting6'
,''
,$lang['page_tit_6']
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(60)'
,$setting[60]
,'int_1024'
,$lang['item_type_39']
,$lang['item_description_39']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);

$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(102)'
,$setting[102]
,'rules_setting'
,$lang['item_type_81']
,''
,'margin:3px;'
,''
,''
,''
);

$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(61)'
,$setting[61]
,'int_1024'
,$lang['item_type_40']
,$lang['item_description_40']
,'width:50px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'select'
,'setting(62)'
,$setting[62]
,'list_setting_1'
,$lang['item_type_41']
,$lang['item_description_41']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'select'
,'setting(63)'
,$setting[63]
,'list_setting_2'
,$lang['item_type_42']
,$lang['item_description_42']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'select'
,'setting(64)'
,$setting[64]
,'list_setting_3'
,$lang['item_type_43']
,$lang['item_description_43']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'text'
,'setting(65)'
,$setting[65]
,'text_max_150'
,$lang['item_type_44']
,$lang['item_description_44']
,'width:250px;margin-left:5px;margin-top:1px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(66)'
,$setting[66]
,'yes_no_1'
,$lang['item_type_45']
,$lang['item_description_45']
,'margin:3px;'
,'setting7'
,''
,$lang['page_tit_7']
);
for($i=46 ;$i< 59 ;$i++){
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting('.($i+21).')'
,$setting[$i+21]
,'yes_no_1'
,$lang['item_type_'.$i]
,$lang['item_description_'.$i]
,'margin:3px;'
,''
,''
,''
);
}
for($i=59 ;$i< 62 ;$i++){
$form['items'] = new_form_item(
	$form['items']
	,'text'
	,'setting('.($i+21).')'
	,$setting[$i+21]
	,'int_1024'
	,$lang['item_type_'.$i]
	,$lang['item_description_'.$i]
	,'width:50px;margin-left:5px;margin-top:1px;'
	,''
	,''
	,''
	);
}
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(83)'
,$setting[83]
,'yes_no_1'
,$lang['item_type_62']
,$lang['item_description_62']
,'margin:3px;'
,''
,''
,''
);
$form['items'] = new_form_item(
$form['items']
	,'text'
	,'setting(84)'
	,$setting[84]
	,'int_65353'
	,$lang['item_type_63']
	,$lang['item_description_63']
	,'width:50px;margin-left:5px;margin-top:1px;'
	,'setting8'
	,''
	,$lang['page_tit_8']
	);
for($i=64 ;$i< 72 ;$i++){
$form['items'] = new_form_item(
	$form['items']
	,'text'
	,'setting('.($i+21).')'
	,$setting[$i+21]
	,'int_65353'
	,$lang['item_type_'.$i]
	,$lang['item_description_'.$i]
	,'width:50px;margin-left:5px;margin-top:1px;'
	,''
	,''
	,''
	);
}
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(93)'
,$setting[93]
,'topic_seting_1'
,$lang['item_type_72']
,$lang['item_description_72']
,'margin:3px;'
,'setting9'
,''
,$lang['page_tit_9']
);
$form['items'] = new_form_item(
$form['items']
,'radio'
,'setting(101)'
,$setting[101]
,'topic_general_1'
,$lang['item_type_80']
,$lang['item_description_80']
,'margin:3px;'
,'setting10'
,''
,$lang['page_tit_10']
);

$form['items'] = new_form_item(
$form['items']
,'submit'
,'submit'
,$submit
,'text_max_1000'
,''
,''
,'margin-top:4px;'
,''
,''
,''
);
?>